> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get setting

> Retrieve a specific setting for the current workspace by key.



## OpenAPI

````yaml get /workspaces/settings/{key}
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/settings/{key}:
    get:
      tags:
        - Workspace Setting
      description: Retrieve a specific setting for the current workspace by key.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
        - in: path
          name: key
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The value of the requested setting.
          content:
            application/json:
              schema:
                type: string
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````